body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #1c2a38;
    text-align: center;
    padding: 20px;
}

.XTitle {
    position:  relative;
    display: block;
    margin: 0 auto;
    margin-top: 70px;
    margin-bottom: 80px;
    max-width: 120%;
    animation: pulse 3s infinite ease-in-out;
    transition: margin 0.3s;
    -webkit-user-drag: none;  
    user-select: none;
    filter: drop-shadow(0 0 5px rgba(0,0,0,00.4));
}

.XTitle2 {
    -webkit-user-drag: none;
    user-select: none;
    margin-bottom: 10px;
    margin-top: 40px;
    transition: width 0.3s;
    animation: pulse 4s infinite ease-in-out;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 0.8;
    }
    50% {
        transform: scale(1.08);
        opacity: 1;
    }
    100% {
        transform: scale(1);
        opacity: 0.8;
    }
}

#searchBox {
    margin-bottom: 10px;
    padding: 10px;
    width: 52%;
    font-weight: bold;
    border: solid 2px #121c27;
    color:#ccc;
    border-radius: 15px;
    -webkit-user-drag: none;  
    user-select: none; 
    font-size: 13.5px;
    background-color: #121c27;
    box-shadow: 0px 0px 6px #1d1c22;
    transition:
      border 0.4s,
      background-color 0.3s,
      box-shadow 0.4s, 
      width 0.3s;
}

#searchBox:hover {
    width: 57%;
    background-color: #152538;
    border: 2px solid rgb(0, 140, 255);
    box-shadow: 0px 0px 6px rgb(0, 140, 255);
}

#clear-button {
    padding: 2px 4px;
    background-color: #c50000;
    border: solid 2px #c50000;
    color: #fff;
    border: none;
    border-radius: 30px;
    font-size: 12px;
    -webkit-user-drag: none;
    user-select: none;
    cursor: pointer;
    transform: translateY(8px);
    margin-left: 10px;
    box-shadow: 0px 0px 8px #1d1c22;
    transition:
            background-color 0.3s,
            box-shadow 0.4s,
            width 0.3s;
}

#clear-button:hover {
    background-color: #ff0000;
    border: 2px solid rgb(255, 255, 255);
    box-shadow: 0px 0px 6px rgb(174, 218, 255);
}

#search-button {
    padding: 4px 6px;
    background-color: #006de1;
    border: solid 2px #006de1;
    color: #fff;
    border-radius: 30px;
    font-size: 12px;
    -webkit-user-drag: none;  
    user-select: none; 
    cursor: pointer;
    transform: translateY(8px);
    margin-left: 3px;
    box-shadow: 0px 0px 8px #1d1c22;
    transition:
            background-color 0.3s,
            box-shadow 0.4s,
            width 0.3s;
}

#search-button:hover {
    background-color: #007bff;
    border: 2px solid rgb(255, 255, 255);
    box-shadow: 0px 0px 6px rgb(174, 218, 255);
}

.separator {
    margin: auto;
    height: 5px;
    margin-bottom: 40px;
    margin-top: 40px;
    background-color: #007bff;
    border-radius: 20px;
    box-shadow: 0px 0px 6px rgb(18, 26, 35);
    border: 1px solid rgb(18, 36, 54);
    width: 90%;
}


@keyframes borderAnimation {
    0% {
        border: 2px solid rgb(0, 119, 255);
        box-shadow: 0px 0px 6px rgb(0, 119, 255);

    }
    50% {
        border: 2px solid rgb(255, 255, 255);
        box-shadow: 0px 0px 6px rgb(255, 255, 255);
    }
    100% {
        border: 2px solid rgb(0, 119, 255);
        box-shadow: 0px 0px 6px rgb(0, 119, 255);

    }
}

.box-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 40px;
    max-width: 950px;
    margin: 0 auto;
}

.box-container2 {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 20px;
    margin-bottom: 20px;
    max-width: 100%;
    margin: 0 auto;
}

.box {
    width: 60px;
    height: 55px;
    background-color: #121c27;
    border: 2px solid #121c27;
    margin: 0 12.5px;
    border-radius: 15px;
    display: flex;
    -webkit-user-drag: none;  
    user-select: none; 
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    box-shadow: 0px 0px 10px #1d1c22;
    transition:
    border 0.4s,
    background-color 0.3s,
    box-shadow 0.3s, 
    width 0.3s;
}

.box:hover {
    background-color: #152538FF;
    border: 2px solid rgb(0, 140, 255);
    box-shadow: 0px 0px 6px rgb(0, 140, 255);
    width: 85px;
    transform: scale(1.05);
}
